local Recount2 = Recount2

local FILTER_DAMAGE = {
	name = 'Damage',
	barValue = 'cTotal',
	leftText = '[cPos, cName:$%d. %s]',
	rightText = '[Short(cTotal),  100*cTotal/lTotal:$%s (%.1f%%)]',
	dataSource = 'Overall',
	infoFilter = Recount2.BitFlags.Info['Damage'],
	powerFilter = nil,
	schoolFilter = nil,
	typeFilter = nil
}

local FILTER_DAMAGETAKEN = {
	name = 'Damage Taken',
	barValue = 'cTotal',
	leftText = '[cPos, cName:$%d. %s]',
	rightText = '[Short(cTotal),  100*cTotal/lTotal:$%s (%.1f%%)]',
	dataSource = 'Overall',
	infoFilter = Recount2.BitFlags.Info['Damage'],
	powerFilter = nil,
	schoolFilter = nil,
	typeFilter = nil,
	groupOn = "Target GUID",
}

local FILTER_DAMAGE_CLASS = {
	name = 'Damage by Class',
	barValue = 'cTotal',
	leftText = '[cPos, cName:$%d. %s]',
	rightText = '[cTotal,  100*cTotal/lTotal:$%d (%.1f%%)]',
	dataSource = 'Overall',
	infoFilter = Recount2.BitFlags.Info['Damage'],
	powerFilter = nil,
	schoolFilter = nil,
	typeFilter = nil,
	groupOn = "Source Class"
}

local FILTER_DAMAGE_ABILITY = {
	name = 'Damage by Ability',
	barValue = 'cTotal',
	leftText = '[cPos, cName:$%d. %s]',
	rightText = '[cTotal,  100*cTotal/lTotal:$%d (%.1f%%)]',
	dataSource = 'Overall',
	infoFilter = Recount2.BitFlags.Info['Damage'],
	powerFilter = nil,
	schoolFilter = nil,
	typeFilter = nil,
	groupOn = "Ability"
}

local FILTER_DAMAGE_HITTYPE = {
	name = 'Damage by Hit Type',
	barValue = 'cTotal',
	leftText = '[cPos, cName:$%d. %s]',
	rightText = '[cTotal,  100*cTotal/lTotal:$%d (%.1f%%)]',
	dataSource = 'Overall',
	infoFilter = Recount2.BitFlags.Info['Damage'],
	powerFilter = nil,
	schoolFilter = nil,
	typeFilter = nil,
	groupOn = "Hit Type"
}

local FILTER_DAMAGE_SCHOOL = {
	name = 'Damage by School',
	barValue = 'cTotal',
	leftText = '[cPos, cName:$%d. %s]',
	rightText = '[cTotal,  100*cTotal/lTotal:$%d (%.1f%%)]',
	dataSource = 'Overall',
	infoFilter = Recount2.BitFlags.Info['Damage'],
	powerFilter = nil,
	schoolFilter = nil,
	typeFilter = nil,
	groupOn = "School"
}

local FILTER_DAMAGE_FACTION = {
	name = 'Damage by Faction',
	barValue = 'cTotal',
	leftText = '[cPos, cName:$%d. %s]',
	rightText = '[cTotal,  100*cTotal/lTotal:$%d (%.1f%%)]',
	dataSource = 'Overall',
	infoFilter = Recount2.BitFlags.Info['Damage'],
	powerFilter = nil,
	schoolFilter = nil,
	typeFilter = nil,
	groupOn = "Source Faction"
}

local FILTER_DAMAGETAKEN_CLASS = {
	name = 'Damage Taken by Class',
	barValue = 'cTotal',
	leftText = '[cPos, cName:$%d. %s]',
	rightText = '[cTotal,  100*cTotal/lTotal:$%d (%.1f%%)]',
	dataSource = 'Overall',
	infoFilter = Recount2.BitFlags.Info['Damage'],
	powerFilter = nil,
	schoolFilter = nil,
	typeFilter = nil,
	groupOn = "Target Class"
}

local FILTER_DAMAGE_BIGGEST_HITS = {
	name = 'Biggest Hits',
	barValue = 'cMax',
	leftText = '[cPos, cName:$%d. %s]',
	rightText = '[cMax,  100*cMax/lMaxValue:$%d (%.1f%%)]',
	dataSource = 'Overall',
	infoFilter = Recount2.BitFlags.Info['Damage'],
	powerFilter = nil,
	schoolFilter = nil,
	typeFilter = nil,
	groupOn = "Source GUID"
}


local FILTER_HEALING = {
	name = 'Healing',
	barValue = 'cTotal',
	leftText = '[cPos, cName:$%d. %s]',
	rightText = '[Short(cTotal),  100*cTotal/lTotal:$%s (%.1f%%)]',
	dataSource = 'Overall',
	infoFilter = Recount2.BitFlags.Info['Healing'],
	powerFilter = nil,
	schoolFilter = nil,
	typeFilter = nil
}

local FILTER_OVERHEALING = {
	name = 'Overhealing',
	barValue = 'cOver',
	leftText = '[cPos, cName:$%d. %s]',
	rightText = '[Short(cOver),  100*cOver/(cOver+cTotal), 100*cOver/lTotal:$%s (%.1f%%, %.1f%%)]',
	dataSource = 'Overall',
	infoFilter = Recount2.BitFlags.Info['Healing'],
	powerFilter = nil,
	schoolFilter = nil,
	typeFilter = nil
}


local FILTER_HEALINGTAKEN = {
	name = 'Healing Taken',
	barValue = 'cTotal',
	leftText = '[cPos, cName:$%d. %s]',
	rightText = '[cTotal,  100*cTotal/lTotal:$%d (%.1f%%)]',
	dataSource = 'Overall',
	infoFilter = Recount2.BitFlags.Info['Healing'],
	powerFilter = nil,
	schoolFilter = nil,
	typeFilter = nil,
	groupOn = "Target GUID",
}

local FILTER_HEALING_CLASS = {
	name = 'Healing by Class',
	barValue = 'cTotal',
	leftText = '[cPos, cName:$%d. %s]',
	rightText = '[cTotal,  100*cTotal/lTotal:$%d (%.1f%%)]',
	dataSource = 'Overall',
	infoFilter = Recount2.BitFlags.Info['Healing'],
	powerFilter = nil,
	schoolFilter = nil,
	typeFilter = nil,
	groupOn = "Source Class"
}

local FILTER_HEALINGTAKEN_CLASS = {
	name = 'Healing Taken by Class',
	barValue = 'cTotal',
	leftText = '[cPos, cName:$%d. %s]',
	rightText = '[cTotal,  100*cTotal/lTotal:$%d (%.1f%%)]',
	dataSource = 'Overall',
	infoFilter = Recount2.BitFlags.Info['Healing'],
	powerFilter = nil,
	schoolFilter = nil,
	typeFilter = nil,
	groupOn = "Target Class"
}

Recount2.DefaultFilters = {
	FILTER_DAMAGE,
	FILTER_DAMAGETAKEN,
	FILTER_HEALING,
	FILTER_OVERHEALING,
	FILTER_HEALINGTAKEN,
	FILTER_DAMAGE_BIGGEST_HITS,
	FILTER_DAMAGE_ABILITY,
	FILTER_DAMAGE_CLASS,
	FILTER_DAMAGE_HITTYPE,
	FILTER_DAMAGE_SCHOOL,
	FILTER_DAMAGE_FACTION,
	FILTER_DAMAGETAKEN_CLASS,
	FILTER_HEALING_CLASS,
	FILTER_HEALINGTAKEN_CLASS
}

function Recount2:CheckFilters()
	for _, defaultFilter in ipairs(self.DefaultFilters) do
		local filterFound = false
		for k, filter in ipairs(Recount2DB.Filters) do
			if filter.name==defaultFilter.name then
				filterFound = true
				break
			end
		end
		
		if not filterFound then
			table.insert(Recount2DB.Filters, defaultFilter)
		end
	end
end
